<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0017F30EditViewBase from './ibizsample0017-f30-edit-view-base.vue';

import view_form from '@widgets/ibizsample0017/form30-form/form30-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0017F30EditView extends IBIZSample0017F30EditViewBase {

}
</script>